Altibase.jdbc.driver

## Class AltibaseResultSet

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseResultSet

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.ResultSet, java.sql.Wrapper

Direct Known Subclasses:
  AltibaseReadableResultSet, AltibaseUpdatableResultSet

    public abstract class AltibaseResultSet
    extends java.lang.Object
    implements java.sql.ResultSet

### Field Summary

Fields
`protected CmProtocolContextDirExec` `mContext`
`protected int` `mFetchSize`
`protected AltibaseStatement` `mStatement`
`protected java.sql.SQLWarning` `mWarning`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`AltibaseResultSet()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static void` `checkFetchDirection(int aFetchDirection)`
`void` `clearWarnings()`
`void` `close()`
`protected void` `closeResultSetCursor()`
`java.sql.SQLException` `createSQLFeatureNotSupportedException(java.lang.String aReason)`
`protected void` `cursorMoved()` 커서 위치가 바꼈음을 알린다.
`boolean` `fetchRemains()`
`int` `findColumn(java.lang.String aColName)`
`java.sql.Array` `getArray(int aColumnIndex)`
`java.sql.Array` `getArray(java.lang.String aColumnName)`
`java.io.InputStream` `getAsciiStream(int aColumnIndex)`
`java.io.InputStream` `getAsciiStream(java.lang.String aColumnName)`
`java.math.BigDecimal` `getBigDecimal(int aColumnIndex)`
`java.math.BigDecimal` `getBigDecimal(int aColumnIndex, int aScale)`
`java.math.BigDecimal` `getBigDecimal(java.lang.String aColumnName)`
`java.math.BigDecimal` `getBigDecimal(java.lang.String aColumnName, int aScale)`
`java.io.InputStream` `getBinaryStream(int aColumnIndex)`
`java.io.InputStream` `getBinaryStream(java.lang.String aColumnName)`
`java.sql.Blob` `getBlob(int aColumnIndex)`
`java.sql.Blob` `getBlob(java.lang.String aColumnName)`
`boolean` `getBoolean(int aColumnIndex)`
`boolean` `getBoolean(java.lang.String aColumnName)`
`byte` `getByte(int aColumnIndex)`
`byte` `getByte(java.lang.String aColumnName)`
`byte[]` `getBytes(int aColumnIndex)`
`byte[]` `getBytes(java.lang.String aColumnName)`
`java.io.Reader` `getCharacterStream(int aColumnIndex)`
`java.io.Reader` `getCharacterStream(java.lang.String aColumnName)`
`java.sql.Clob` `getClob(int aColumnIndex)`
`java.sql.Clob` `getClob(java.lang.String aColumnName)`
`java.lang.String` `getCursorName()`
`java.sql.Date` `getDate(int aColumnIndex)`
`java.sql.Date` `getDate(int aColumnIndex, java.util.Calendar aCal)`
`java.sql.Date` `getDate(java.lang.String aColumnName)`
`java.sql.Date` `getDate(java.lang.String aColumnName, java.util.Calendar aCal)`
`double` `getDouble(int aColumnIndex)`
`double` `getDouble(java.lang.String aColumnName)`
`java.lang.String` `getExplainPlan()` Plan text를 얻는다.
`int` `getFetchDirection()`
`int` `getFetchSize()`
`float` `getFloat(int aColumnIndex)`
`float` `getFloat(java.lang.String aColumnName)`
`int` `getHoldability()`
`int` `getInt(int aColumnIndex)`
`int` `getInt(java.lang.String aColumnName)`
`long` `getLong(int aColumnIndex)`
`long` `getLong(java.lang.String aColumnName)`
`java.sql.ResultSetMetaData` `getMetaData()`
`java.io.Reader` `getNCharacterStream(int aColumnIndex)`
`java.io.Reader` `getNCharacterStream(java.lang.String aColumnName)`
`java.sql.NClob` `getNClob(int aColumnIndex)`
`java.sql.NClob` `getNClob(java.lang.String aColumnName)`
`java.lang.String` `getNString(int aColumnIndex)`
`java.lang.String` `getNString(java.lang.String aColumnName)`
`java.lang.Object` `getObject(int aColumnIndex)`
`<T> T` `getObject(int aColumnIndex, java.lang.Class<T> aType)`
`java.lang.Object` `getObject(int aColumnIndex, java.util.Map aMap)`
`java.lang.Object` `getObject(java.lang.String aColumnName)`
`<T> T` `getObject(java.lang.String aColumnName, java.lang.Class<T> aType)`
`java.lang.Object` `getObject(java.lang.String aColumnName, java.util.Map aMap)`
`java.sql.Ref` `getRef(int aColumnIndex)`
`java.sql.Ref` `getRef(java.lang.String aColumnName)`
`java.sql.RowId` `getRowId(int aColumnIndex)`
`java.sql.RowId` `getRowId(java.lang.String aColumnName)`
`short` `getShort(int aColumnIndex)`
`short` `getShort(java.lang.String aColumnName)`
`java.sql.SQLXML` `getSQLXML(int aColumnIndex)`
`java.sql.SQLXML` `getSQLXML(java.lang.String aColumnName)`
`java.sql.Statement` `getStatement()`
`java.lang.String` `getString(int aColumnIndex)`
`java.lang.String` `getString(java.lang.String aColumnName)`
`protected Column` `getTargetColumn(int aColumnIndex)` column index에 해당하는 Column 객체를 얻는다.
`protected int` `getTargetColumnCount()`
`protected ColumnInfo` `getTargetColumnInfo(int aColumnIndex)` column index에 해당하는 column 정보를 얻는다.
`protected abstract java.util.List` `getTargetColumns()`
`java.sql.Time` `getTime(int aColumnIndex)`
`java.sql.Time` `getTime(int aColumnIndex, java.util.Calendar aCal)`
`java.sql.Time` `getTime(java.lang.String aColumnName)`
`java.sql.Time` `getTime(java.lang.String aColumnName, java.util.Calendar aCal)`
`java.sql.Timestamp` `getTimestamp(int aColumnIndex)`
`java.sql.Timestamp` `getTimestamp(int aColumnIndex, java.util.Calendar aCal)`
`java.sql.Timestamp` `getTimestamp(java.lang.String aColumnName)`
`java.sql.Timestamp` `getTimestamp(java.lang.String aColumnName, java.util.Calendar aCal)`
`java.io.InputStream` `getUnicodeStream(int aColumnIndex)`
`java.io.InputStream` `getUnicodeStream(java.lang.String aColumnName)`
`java.net.URL` `getURL(int aColumnIndex)`
`java.net.URL` `getURL(java.lang.String aColumnName)`
`java.sql.SQLWarning` `getWarnings()`
`boolean` `isClosed()` ResultSet이 닫혔는지 확인한다.
`boolean` `isWrapperFor(java.lang.Class<?> aIface)`
`void` `registerTarget(java.lang.Object aClosableObject)` ResultSet을 `close()` 할 때 닫아줄 객체를 등록한다.
`void` `setAllowLobNullSelect(boolean aAllowLobNullSelect)`
`void` `setClosed(boolean aClosed)`
`void` `setFetchDirection(int aDirection)`
`void` `setFetchSize(int aRows)`
`protected void` `throwErrorForClosed()`
`protected void` `throwErrorForForwardOnly()`
`protected void` `throwErrorForReadOnly()`
`protected void` `throwErrorForScrollInsensitive()`
`<T> T` `unwrap(java.lang.Class<T> aIface)`
`void` `updateArray(int aColumnIndex, java.sql.Array aValue)`
`void` `updateArray(java.lang.String aColumnName, java.sql.Array aValue)`
`void` `updateAsciiStream(int aColumnIndex, java.io.InputStream aValue)`
`void` `updateAsciiStream(int aColumnIndex, java.io.InputStream aValue, int aLength)`
`abstract void` `updateAsciiStream(int aColumnIndex, java.io.InputStream aValue, long aLength)`
`void` `updateAsciiStream(java.lang.String aColumnName, java.io.InputStream aValue)`
`void` `updateAsciiStream(java.lang.String aColumnName, java.io.InputStream aValue, int aLength)`
`void` `updateAsciiStream(java.lang.String aColumnName, java.io.InputStream aValue, long aLength)`
`void` `updateBigDecimal(java.lang.String aColumnName, java.math.BigDecimal aValue)`
`void` `updateBinaryStream(int aColumnIndex, java.io.InputStream aValue)`
`void` `updateBinaryStream(int aColumnIndex, java.io.InputStream aValue, int aLength)`
`abstract void` `updateBinaryStream(int aColumnIndex, java.io.InputStream aValue, long aLength)`
`void` `updateBinaryStream(java.lang.String aColumnName, java.io.InputStream aValue)`
`void` `updateBinaryStream(java.lang.String aColumnName, java.io.InputStream aValue, int aLength)`
`void` `updateBinaryStream(java.lang.String aColumnName, java.io.InputStream aValue, long aLength)`
`void` `updateBlob(int aColumnIndex, java.io.InputStream aValue)`
`void` `updateBlob(java.lang.String aColumnName, java.sql.Blob aValue)`
`void` `updateBlob(java.lang.String aColumnName, java.io.InputStream aValue)`
`void` `updateBlob(java.lang.String aColumnName, java.io.InputStream aValue, long aLength)`
`void` `updateBoolean(java.lang.String aColumnName, boolean aValue)`
`void` `updateByte(java.lang.String aColumnName, byte aValue)`
`void` `updateBytes(java.lang.String aColumnName, byte[] aValue)`
`void` `updateCharacterStream(int aColumnIndex, java.io.Reader aValue)`
`void` `updateCharacterStream(int aColumnIndex, java.io.Reader aValue, int aLength)`
`abstract void` `updateCharacterStream(int aColumnIndex, java.io.Reader aReader, long aLength)`
`void` `updateCharacterStream(java.lang.String aColumnName, java.io.Reader aReader)`
`void` `updateCharacterStream(java.lang.String aColumnName, java.io.Reader aReader, int aLength)`
`void` `updateCharacterStream(java.lang.String aColumnName, java.io.Reader aReader, long aLength)`
`void` `updateClob(int aColumnIndex, java.io.Reader aValue)`
`void` `updateClob(java.lang.String aColumnName, java.sql.Clob aValue)`
`void` `updateClob(java.lang.String aColumnName, java.io.Reader aValue)`
`void` `updateClob(java.lang.String aColumnName, java.io.Reader aValue, long aLength)`
`void` `updateDate(java.lang.String aColumnName, java.sql.Date aValue)`
`void` `updateDouble(java.lang.String aColumnName, double aValue)`
`void` `updateFloat(java.lang.String aColumnName, float aValue)`
`void` `updateInt(java.lang.String aColumnName, int aValue)`
`void` `updateLong(java.lang.String aColumnName, long aValue)`
`void` `updateNCharacterStream(int aColumnIndex, java.io.Reader aReader)`
`void` `updateNCharacterStream(int aColumnIndex, java.io.Reader aReader, long aLength)`
`void` `updateNCharacterStream(java.lang.String aColumnName, java.io.Reader aReader)`
`void` `updateNCharacterStream(java.lang.String aColumnName, java.io.Reader aReader, long aLength)`
`void` `updateNClob(int aColumnIndex, java.sql.NClob aNClob)`
`void` `updateNClob(int aColumnIndex, java.io.Reader aReader)`
`void` `updateNClob(int aColumnIndex, java.io.Reader aReader, long aLength)`
`void` `updateNClob(java.lang.String aColumnName, java.sql.NClob aNClob)`
`void` `updateNClob(java.lang.String aColumnName, java.io.Reader aReader)`
`void` `updateNClob(java.lang.String aColumnName, java.io.Reader aReader, long aLength)`
`void` `updateNString(java.lang.String aColumnName, java.lang.String aValue)`
`void` `updateNull(java.lang.String aColumnName)`
`void` `updateObject(java.lang.String aColumnName, java.lang.Object aValue)`
`void` `updateObject(java.lang.String aColumnName, java.lang.Object aValue, int aScale)`
`void` `updateRef(int aColumnIndex, java.sql.Ref aValue)`
`void` `updateRef(java.lang.String aColumnName, java.sql.Ref aValue)`
`void` `updateRowId(int aColumnIndex, java.sql.RowId aValue)`
`void` `updateRowId(java.lang.String aColumnName, java.sql.RowId aValue)`
`void` `updateShort(java.lang.String aColumnName, short aValue)`
`void` `updateSQLXML(int aColumnIndex, java.sql.SQLXML aXmlObject)`
`void` `updateSQLXML(java.lang.String aColumnName, java.sql.SQLXML aXmlObject)`
`void` `updateString(java.lang.String aColumnName, java.lang.String aValue)`
`void` `updateTime(java.lang.String aColumnName, java.sql.Time aValue)`
`void` `updateTimestamp(java.lang.String aColumnName, java.sql.Timestamp aValue)`
`boolean` `wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, deleteRow, first, getConcurrency, getRow, getType, insertRow, isAfterLast, isBeforeFirst, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, updateBigDecimal, updateBlob, updateBlob, updateBoolean, updateByte, updateBytes, updateClob, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNString, updateNull, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateRow, updateShort, updateString, updateTime, updateTimestamp`

### Field Detail

#### mStatement

    protected AltibaseStatement mStatement

#### mWarning

    protected java.sql.SQLWarning mWarning

#### mFetchSize

    protected int mFetchSize

#### mContext

    protected CmProtocolContextDirExec mContext

### Constructor Detail

#### AltibaseResultSet

    public AltibaseResultSet()

### Method Detail

#### checkFetchDirection

    public static void checkFetchDirection(int aFetchDirection)
                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getStatement

    public final java.sql.Statement getStatement()
                                          throws java.sql.SQLException

Specified by:
  `getStatement` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### clearWarnings

    public final void clearWarnings()
                             throws java.sql.SQLException

Specified by:
  `clearWarnings` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getWarnings

    public final java.sql.SQLWarning getWarnings()
                                          throws java.sql.SQLException

Specified by:
  `getWarnings` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isClosed

    public final boolean isClosed()

ResultSet이 닫혔는지 확인한다.

Specified by:
  `isClosed` in interface `java.sql.ResultSet`
Returns:
  Resultset이 close되었으면 true, 아니면 false

#### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

Specified by:
  `getHoldability` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### closeResultSetCursor

    protected void closeResultSetCursor()
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### close

    public void close()
               throws java.sql.SQLException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### registerTarget

    public final void registerTarget(java.lang.Object aClosableObject)

ResultSet을 `close()` 할 때 닫아줄 객체를 등록한다.

등록할 수 있는 객체는 다음 중 하나여야 한다: Statement

Parameters:
  `aClosableObject` - ResultSet을 닫을 때 닫을 객체

#### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

Specified by:
  `getFetchSize` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### setFetchSize

    public void setFetchSize(int aRows)
                      throws java.sql.SQLException

Specified by:
  `setFetchSize` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFetchDirection

    public final int getFetchDirection()
                                throws java.sql.SQLException

Specified by:
  `getFetchDirection` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### setFetchDirection

    public final void setFetchDirection(int aDirection)
                                 throws java.sql.SQLException

Specified by:
  `setFetchDirection` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTargetColumns

    protected abstract java.util.List getTargetColumns()

Returns:
  타겟 컬럼맵

#### getTargetColumnCount

    protected final int getTargetColumnCount()

Returns:
  타겟 컬럼 갯수

#### getTargetColumn

    protected final Column getTargetColumn(int aColumnIndex)

column index에 해당하는 Column 객체를 얻는다.

Parameters:
  `aColumnIndex` - column index (1 base)
Returns:
  Column 객체

#### getTargetColumnInfo

    protected ColumnInfo getTargetColumnInfo(int aColumnIndex)

column index에 해당하는 column 정보를 얻는다.

Parameters:
  `aColumnIndex` - column index (1 base)
Returns:
  컬럼 정보

#### findColumn

    public final int findColumn(java.lang.String aColName)
                         throws java.sql.SQLException

Specified by:
  `findColumn` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getMetaData

    public final java.sql.ResultSetMetaData getMetaData()
                                                 throws java.sql.SQLException

Specified by:
  `getMetaData` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### cursorMoved

    protected final void cursorMoved()

커서 위치가 바꼈음을 알린다.

커서 위치가 바뀌면 다음에 데이타를 얻을 때 유효한 위치인지 다시 확인한다.

#### getArray

    public final java.sql.Array getArray(java.lang.String aColumnName)
                                  throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getAsciiStream

    public final java.io.InputStream getAsciiStream(int aColumnIndex)
                                             throws java.sql.SQLException

Specified by:
  `getAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getAsciiStream

    public final java.io.InputStream getAsciiStream(java.lang.String aColumnName)
                                             throws java.sql.SQLException

Specified by:
  `getAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public final java.math.BigDecimal getBigDecimal(int aColumnIndex,
                                                    int aScale)
                                             throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public final java.math.BigDecimal getBigDecimal(int aColumnIndex)
                                             throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public final java.math.BigDecimal getBigDecimal(java.lang.String aColumnName,
                                                    int aScale)
                                             throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public final java.math.BigDecimal getBigDecimal(java.lang.String aColumnName)
                                             throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBinaryStream

    public final java.io.InputStream getBinaryStream(int aColumnIndex)
                                              throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBinaryStream

    public final java.io.InputStream getBinaryStream(java.lang.String aColumnName)
                                              throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBlob

    public final java.sql.Blob getBlob(int aColumnIndex)
                                throws java.sql.SQLException

Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBlob

    public final java.sql.Blob getBlob(java.lang.String aColumnName)
                                throws java.sql.SQLException

Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public final boolean getBoolean(int aColumnIndex)
                             throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public final boolean getBoolean(java.lang.String aColumnName)
                             throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getByte

    public final byte getByte(int aColumnIndex)
                       throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getByte

    public final byte getByte(java.lang.String aColumnName)
                       throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBytes

    public final byte[] getBytes(int aColumnIndex)
                          throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBytes

    public final byte[] getBytes(java.lang.String aColumnName)
                          throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public final java.io.Reader getCharacterStream(int aColumnIndex)
                                            throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public final java.io.Reader getCharacterStream(java.lang.String aColumnName)
                                            throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getClob

    public final java.sql.Clob getClob(int aColumnIndex)
                                throws java.sql.SQLException

Specified by:
  `getClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getClob

    public final java.sql.Clob getClob(java.lang.String aColumnName)
                                throws java.sql.SQLException

Specified by:
  `getClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public final java.sql.Date getDate(int aColumnIndex,
                                       java.util.Calendar aCal)
                                throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public final java.sql.Date getDate(int aColumnIndex)
                                throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public final java.sql.Date getDate(java.lang.String aColumnName,
                                       java.util.Calendar aCal)
                                throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public final java.sql.Date getDate(java.lang.String aColumnName)
                                throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDouble

    public final double getDouble(int aColumnIndex)
                           throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDouble

    public final double getDouble(java.lang.String aColumnName)
                           throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFloat

    public final float getFloat(int aColumnIndex)
                         throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFloat

    public final float getFloat(java.lang.String aColumnName)
                         throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getInt

    public final int getInt(int aColumnIndex)
                     throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getInt

    public final int getInt(java.lang.String aColumnName)
                     throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getLong

    public final long getLong(int aColumnIndex)
                       throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getLong

    public final long getLong(java.lang.String aColumnName)
                       throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public final java.lang.Object getObject(int aColumnIndex)
                                     throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public final java.lang.Object getObject(java.lang.String aColumnName,
                                            java.util.Map aMap)
                                     throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public final java.lang.Object getObject(java.lang.String aColumnName)
                                     throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRef

    public final java.sql.Ref getRef(java.lang.String aColumnName)
                              throws java.sql.SQLException

Specified by:
  `getRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getShort

    public final short getShort(int aColumnIndex)
                         throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getShort

    public final short getShort(java.lang.String aColumnName)
                         throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getString

    public final java.lang.String getString(int aColumnIndex)
                                     throws java.sql.SQLException

Specified by:
  `getString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getString

    public final java.lang.String getString(java.lang.String aColumnName)
                                     throws java.sql.SQLException

Specified by:
  `getString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public final java.sql.Time getTime(int aColumnIndex,
                                       java.util.Calendar aCal)
                                throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public final java.sql.Time getTime(int aColumnIndex)
                                throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public final java.sql.Time getTime(java.lang.String aColumnName,
                                       java.util.Calendar aCal)
                                throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public final java.sql.Time getTime(java.lang.String aColumnName)
                                throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public final java.sql.Timestamp getTimestamp(int aColumnIndex,
                                                 java.util.Calendar aCal)
                                          throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public final java.sql.Timestamp getTimestamp(int aColumnIndex)
                                          throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public final java.sql.Timestamp getTimestamp(java.lang.String aColumnName,
                                                 java.util.Calendar aCal)
                                          throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public final java.sql.Timestamp getTimestamp(java.lang.String aColumnName)
                                          throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getURL

    public final java.net.URL getURL(java.lang.String aColumnName)
                              throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getUnicodeStream

    public final java.io.InputStream getUnicodeStream(java.lang.String aColumnName)
                                               throws java.sql.SQLException

Specified by:
  `getUnicodeStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### wasNull

    public final boolean wasNull()
                          throws java.sql.SQLException

Specified by:
  `wasNull` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateArray

    public void updateArray(java.lang.String aColumnName,
                            java.sql.Array aValue)
                     throws java.sql.SQLException

Specified by:
  `updateArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(java.lang.String aColumnName,
                                  java.io.InputStream aValue)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(java.lang.String aColumnName,
                                  java.io.InputStream aValue,
                                  int aLength)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(java.lang.String aColumnName,
                                  java.io.InputStream aValue,
                                  long aLength)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int aColumnIndex,
                                  java.io.InputStream aValue)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int aColumnIndex,
                                  java.io.InputStream aValue,
                                  int aLength)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public abstract void updateAsciiStream(int aColumnIndex,
                                           java.io.InputStream aValue,
                                           long aLength)
                                    throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBigDecimal

    public void updateBigDecimal(java.lang.String aColumnName,
                                 java.math.BigDecimal aValue)
                          throws java.sql.SQLException

Specified by:
  `updateBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(java.lang.String aColumnName,
                                   java.io.InputStream aValue)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(java.lang.String aColumnName,
                                   java.io.InputStream aValue,
                                   int aLength)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(java.lang.String aColumnName,
                                   java.io.InputStream aValue,
                                   long aLength)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int aColumnIndex,
                                   java.io.InputStream aValue)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int aColumnIndex,
                                   java.io.InputStream aValue,
                                   int aLength)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public abstract void updateBinaryStream(int aColumnIndex,
                                            java.io.InputStream aValue,
                                            long aLength)
                                     throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(java.lang.String aColumnName,
                           java.sql.Blob aValue)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBoolean

    public void updateBoolean(java.lang.String aColumnName,
                              boolean aValue)
                       throws java.sql.SQLException

Specified by:
  `updateBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateByte

    public void updateByte(java.lang.String aColumnName,
                           byte aValue)
                    throws java.sql.SQLException

Specified by:
  `updateByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes(java.lang.String aColumnName,
                            byte[] aValue)
                     throws java.sql.SQLException

Specified by:
  `updateBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(java.lang.String aColumnName,
                                      java.io.Reader aReader)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(java.lang.String aColumnName,
                                      java.io.Reader aReader,
                                      int aLength)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(java.lang.String aColumnName,
                                      java.io.Reader aReader,
                                      long aLength)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int aColumnIndex,
                                      java.io.Reader aValue)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int aColumnIndex,
                                      java.io.Reader aValue,
                                      int aLength)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public abstract void updateCharacterStream(int aColumnIndex,
                                               java.io.Reader aReader,
                                               long aLength)
                                        throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(java.lang.String aColumnName,
                           java.sql.Clob aValue)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDate

    public void updateDate(java.lang.String aColumnName,
                           java.sql.Date aValue)
                    throws java.sql.SQLException

Specified by:
  `updateDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDouble

    public void updateDouble(java.lang.String aColumnName,
                             double aValue)
                      throws java.sql.SQLException

Specified by:
  `updateDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateFloat

    public void updateFloat(java.lang.String aColumnName,
                            float aValue)
                     throws java.sql.SQLException

Specified by:
  `updateFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateInt

    public void updateInt(java.lang.String aColumnName,
                          int aValue)
                   throws java.sql.SQLException

Specified by:
  `updateInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateLong

    public void updateLong(java.lang.String aColumnName,
                           long aValue)
                    throws java.sql.SQLException

Specified by:
  `updateLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNull

    public void updateNull(java.lang.String aColumnName)
                    throws java.sql.SQLException

Specified by:
  `updateNull` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(java.lang.String aColumnName,
                             java.lang.Object aValue,
                             int aScale)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(java.lang.String aColumnName,
                             java.lang.Object aValue)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRef

    public void updateRef(java.lang.String aColumnName,
                          java.sql.Ref aValue)
                   throws java.sql.SQLException

Specified by:
  `updateRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateShort

    public void updateShort(java.lang.String aColumnName,
                            short aValue)
                     throws java.sql.SQLException

Specified by:
  `updateShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateString

    public void updateString(java.lang.String aColumnName,
                             java.lang.String aValue)
                      throws java.sql.SQLException

Specified by:
  `updateString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTime

    public void updateTime(java.lang.String aColumnName,
                           java.sql.Time aValue)
                    throws java.sql.SQLException

Specified by:
  `updateTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTimestamp

    public void updateTimestamp(java.lang.String aColumnName,
                                java.sql.Timestamp aValue)
                         throws java.sql.SQLException

Specified by:
  `updateTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getExplainPlan

    public final java.lang.String getExplainPlan()
                                          throws java.sql.SQLException

Plan text를 얻는다.

관련 Statement에 대한 Plan text를 얻는 것이므로, 만약 ResultSet을 얻은 후 다른 구문을 수행했다면 다른 쿼리에 대한 Plan text를 얻을 수 있다.

단순 Plan text 조회를 원한다면 Prepare 또는 Execute 후에, 보다 정확한 Plan text 조회를 원한다면 Fetch 완료 후에 수행할것을 권장한다.

Returns:
  Plan text
Throws:
  `java.sql.SQLException` - Plan text 요청이나 결과를 얻는데 실패했을 때

#### throwErrorForReadOnly

    protected final void throwErrorForReadOnly()
                                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### throwErrorForForwardOnly

    protected final void throwErrorForForwardOnly()
                                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### throwErrorForScrollInsensitive

    protected final void throwErrorForScrollInsensitive()
                                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### throwErrorForClosed

    protected final void throwErrorForClosed()
                                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### fetchRemains

    public boolean fetchRemains()

#### setClosed

    public void setClosed(boolean aClosed)

#### setAllowLobNullSelect

    public void setAllowLobNullSelect(boolean aAllowLobNullSelect)

#### updateNString

    public void updateNString(java.lang.String aColumnName,
                              java.lang.String aValue)
                       throws java.sql.SQLException

Specified by:
  `updateNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNString

    public java.lang.String getNString(int aColumnIndex)
                                throws java.sql.SQLException

Specified by:
  `getNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNString

    public java.lang.String getNString(java.lang.String aColumnName)
                                throws java.sql.SQLException

Specified by:
  `getNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(int aColumnIndex,
                           java.io.InputStream aValue)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(java.lang.String aColumnName,
                           java.io.InputStream aValue,
                           long aLength)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(java.lang.String aColumnName,
                           java.io.Reader aValue,
                           long aLength)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(int aColumnIndex,
                           java.io.Reader aValue)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(java.lang.String aColumnName,
                           java.io.Reader aValue)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public <T> T getObject(int aColumnIndex,
                           java.lang.Class<T> aType)
                    throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public <T> T getObject(java.lang.String aColumnName,
                           java.lang.Class<T> aType)
                    throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(java.lang.String aColumnName,
                           java.io.InputStream aValue)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRowId

    public java.sql.RowId getRowId(int aColumnIndex)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRowId

    public java.sql.RowId getRowId(java.lang.String aColumnName)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRowId

    public void updateRowId(int aColumnIndex,
                            java.sql.RowId aValue)
                     throws java.sql.SQLException

Specified by:
  `updateRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRowId

    public void updateRowId(java.lang.String aColumnName,
                            java.sql.RowId aValue)
                     throws java.sql.SQLException

Specified by:
  `updateRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob(int aColumnIndex)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob(java.lang.String aColumnName)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML(int aColumnIndex)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML(java.lang.String aColumnName)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(int aColumnIndex,
                            java.sql.NClob aNClob)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(java.lang.String aColumnName,
                            java.sql.NClob aNClob)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(int aColumnIndex,
                            java.io.Reader aReader,
                            long aLength)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(java.lang.String aColumnName,
                            java.io.Reader aReader,
                            long aLength)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateSQLXML

    public void updateSQLXML(int aColumnIndex,
                             java.sql.SQLXML aXmlObject)
                      throws java.sql.SQLException

Specified by:
  `updateSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateSQLXML

    public void updateSQLXML(java.lang.String aColumnName,
                             java.sql.SQLXML aXmlObject)
                      throws java.sql.SQLException

Specified by:
  `updateSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(int aColumnIndex,
                            java.io.Reader aReader)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(java.lang.String aColumnName,
                            java.io.Reader aReader)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(int aColumnIndex,
                                       java.io.Reader aReader)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(java.lang.String aColumnName,
                                       java.io.Reader aReader)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(int aColumnIndex,
                                       java.io.Reader aReader,
                                       long aLength)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(java.lang.String aColumnName,
                                       java.io.Reader aReader,
                                       long aLength)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream(int aColumnIndex)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream(java.lang.String aColumnName)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCursorName

    public final java.lang.String getCursorName()
                                         throws java.sql.SQLException

Specified by:
  `getCursorName` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getArray

    public final java.sql.Array getArray(int aColumnIndex)
                                  throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public final java.lang.Object getObject(int aColumnIndex,
                                            java.util.Map aMap)
                                     throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRef

    public final java.sql.Ref getRef(int aColumnIndex)
                              throws java.sql.SQLException

Specified by:
  `getRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getUnicodeStream

    public final java.io.InputStream getUnicodeStream(int aColumnIndex)
                                               throws java.sql.SQLException

Specified by:
  `getUnicodeStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getURL

    public final java.net.URL getURL(int aColumnIndex)
                              throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateArray

    public void updateArray(int aColumnIndex,
                            java.sql.Array aValue)
                     throws java.sql.SQLException

Specified by:
  `updateArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRef

    public void updateRef(int aColumnIndex,
                          java.sql.Ref aValue)
                   throws java.sql.SQLException

Specified by:
  `updateRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### unwrap

    public <T> T unwrap(java.lang.Class<T> aIface)
                 throws java.sql.SQLException

Specified by:
  `unwrap` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> aIface)
                         throws java.sql.SQLException

Specified by:
  `isWrapperFor` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### createSQLFeatureNotSupportedException

    public java.sql.SQLException createSQLFeatureNotSupportedException(java.lang.String aReason)